elem.hpp File Reference
`#include <msgpack/preprocessor/array/data.hpp>`
`#include <msgpack/preprocessor/array/size.hpp>`
`#include <msgpack/preprocessor/config/config.hpp>`
`#include <msgpack/preprocessor/tuple/elem.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_ARRAY_ELEM(i, array) MSGPACK_PP_ARRAY_ELEM_I(i, array)
#define | MSGPACK_PP_ARRAY_ELEM_I(i, array) MSGPACK_PP_TUPLE_ELEM(MSGPACK_PP_ARRAY_SIZE(array), i, MSGPACK_PP_ARRAY_DATA(array))

## Macro Definition Documentation

## MSGPACK_PP_ARRAY_ELEM

#define MSGPACK_PP_ARRAY_ELEM | ( |  | i,
|  |  | array
| ) |  | MSGPACK_PP_ARRAY_ELEM_I(i, array)

## MSGPACK_PP_ARRAY_ELEM_I

#define MSGPACK_PP_ARRAY_ELEM_I | ( |  | i,
|  |  | array
| ) |  | MSGPACK_PP_TUPLE_ELEM(MSGPACK_PP_ARRAY_SIZE(array), i, MSGPACK_PP_ARRAY_DATA(array))